package com.yd.dal.mapper.commission;

import com.yd.dal.entity.commission.AgPoOrderCommission;
import org.apache.ibatis.annotations.Param;

import java.util.List;

public interface AgPoOrderCommissionMapper {
    int deleteByPrimaryKey(Long id);

    int insert(AgPoOrderCommission record);

    int insertSelective(AgPoOrderCommission record);

    AgPoOrderCommission selectByPrimaryKey(Long id);

    int updateByPrimaryKeySelective(AgPoOrderCommission record);

    int updateByPrimaryKey(AgPoOrderCommission record);

    void updateBycommissionNo(AgPoOrderCommission orderCommission);

    AgPoOrderCommission selectByCommissionNo(String commissionNo);

    List<AgPoOrderCommission> selectByOrderId(Long orderId);
}